package cn.com.countrygarden.bi.main.dao.extension;


import cn.com.countrygarden.bi.main.dto.extension.ExtensionJointInfoDTO;
import cn.com.countrygarden.bi.main.dto.extension.ExtensionReportDTO;
import org.apache.ibatis.annotations.Param;

public interface ExtensionJointMapper {
    int deleteByPrimaryKey(Long id);

    int insert(ExtensionJointInfoDTO record);

    int insertBatchSelective(@Param("dto") ExtensionReportDTO dto, @Param("userCode") String userCode);

    ExtensionJointInfoDTO selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(ExtensionJointInfoDTO record);

    int updateByPrimaryKey(ExtensionJointInfoDTO record);

    void updateBatchSelective(@Param("dto") ExtensionReportDTO dto, @Param("userCode") String userCode);
}